-- overloading.sql

DECLARE
   a hr2.emp_array_type;
BEGIN
   a := hr2.get_emps(2);
   a := hr2.get_emps(state=>'CO');
   a := hr2.get_emps(city=>'Denver');
   --Next statement won't work because CHAR and VARCHAR2 in same datatype family
   --a := hr2.get_emps('Los Angeles');  
END;
/
